/*
 *  Eukleides version 1.5.4
 *  Copyright (c) Christian Obrecht 2004-2010
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "core.h"

void init_string(_param p);

void start_buffer(_param p);

void add_string(char *s, int l);

void add_char(char ch);

void add_special_char(char ch);

char *get_buffer(_param p);

void extract_substring(_param p);

void start_string(_param p);

void cat_num(_param p);

void cat_pnt(_param p);

void cat_set(_param p);

void cat_str(_param p);

void get_string(_param p);

void str_eq(_param p);

void str_neq(_param p);

void str_length(_param p);

char* get_output_name(char* in, const char* suf);
